curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-quotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"disableAutomaticWorkflows": true,
"useBillingAddressAsShipmentAddress": true,
"cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalDetails": {
"externalCreatedDate": "2023-11-07T05:31:56Z",
"externalSalesQuotationNumber": "<string>"
},
"lineItems": [
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"parentSalesQuotationLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"discountPercent": 123,
"fnSku": "<string>",
"name": "<string>",
"note": "<string>",
"purchasePriceNet": 123,
"quantity": 123,
"salesPriceNet": 123,
"salesUnit": "<string>",
"sku": "<string>",
"taxRate": 123,
"variants": [
{
"extraWeight": 123,
"name": "<string>",
"surchargeNet": 123,
"value": "<string>",
"itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
],
"paymentInfo": {
"accountHolder": "<string>",
"bankName": "<string>",
"bIC": "<string>",
"creditorId": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"endToEndId": "<string>",
"iBAN": "<string>",
"mandateReference": "<string>",
"paymentInfo": "<string>",
"paymentReference": "<string>",
"referenceEmail": "<string>"
},
"shippingDetails": {
"deliveryFromDate": "2023-11-07T05:31:56Z",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"extraWeight": 123,
"maxDeliveryDays": 123,
"shippingDate": "2023-11-07T05:31:56Z",
"shippingPriority": 123
},
"taxDetails": {},
"text": {
"comment": "<string>",
"customerComment": "<string>",
"printText": "<string>",
"processStatus": "<string>"
},
"customerSalesQuotationNumber": "<string>",
"customerVatId": "<string>",
"languageIso": "<string>",
"salesQuotationDate": "2023-11-07T05:31:56Z",
"salesQuotationNumber": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"vatId": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-quotations"
payload = {
"disableAutomaticWorkflows": True,
"useBillingAddressAsShipmentAddress": True,
"cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalDetails": {
"externalCreatedDate": "2023-11-07T05:31:56Z",
"externalSalesQuotationNumber": "<string>"
},
"lineItems": [
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"parentSalesQuotationLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"discountPercent": 123,
"fnSku": "<string>",
"name": "<string>",
"note": "<string>",
"purchasePriceNet": 123,
"quantity": 123,
"salesPriceNet": 123,
"salesUnit": "<string>",
"sku": "<string>",
"taxRate": 123,
"variants": [
{
"extraWeight": 123,
"name": "<string>",
"surchargeNet": 123,
"value": "<string>",
"itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
],
"paymentInfo": {
"accountHolder": "<string>",
"bankName": "<string>",
"bIC": "<string>",
"creditorId": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"endToEndId": "<string>",
"iBAN": "<string>",
"mandateReference": "<string>",
"paymentInfo": "<string>",
"paymentReference": "<string>",
"referenceEmail": "<string>"
},
"shippingDetails": {
"deliveryFromDate": "2023-11-07T05:31:56Z",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"extraWeight": 123,
"maxDeliveryDays": 123,
"shippingDate": "2023-11-07T05:31:56Z",
"shippingPriority": 123
},
"taxDetails": {},
"text": {
"comment": "<string>",
"customerComment": "<string>",
"printText": "<string>",
"processStatus": "<string>"
},
"customerSalesQuotationNumber": "<string>",
"customerVatId": "<string>",
"languageIso": "<string>",
"salesQuotationDate": "2023-11-07T05:31:56Z",
"salesQuotationNumber": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"vatId": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
disableAutomaticWorkflows: true,
useBillingAddressAsShipmentAddress: true,
cartonItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
customerId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
onHoldReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
paymentMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
processColourId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
processStatusId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
externalDetails: {
externalCreatedDate: '2023-11-07T05:31:56Z',
externalSalesQuotationNumber: '<string>'
},
lineItems: [
{
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
parentSalesQuotationLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
taxClassId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
taxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
discountPercent: 123,
fnSku: '<string>',
name: '<string>',
note: '<string>',
purchasePriceNet: 123,
quantity: 123,
salesPriceNet: 123,
salesUnit: '<string>',
sku: '<string>',
taxRate: 123,
variants: [
{
extraWeight: 123,
name: '<string>',
surchargeNet: 123,
value: '<string>',
itemVariantId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
itemVariantValueId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
]
}
],
paymentInfo: {
accountHolder: '<string>',
bankName: '<string>',
bIC: '<string>',
creditorId: '<string>',
dueDate: '2023-11-07T05:31:56Z',
endToEndId: '<string>',
iBAN: '<string>',
mandateReference: '<string>',
paymentInfo: '<string>',
paymentReference: '<string>',
referenceEmail: '<string>'
},
shippingDetails: {
deliveryFromDate: '2023-11-07T05:31:56Z',
estimatedDeliveryDate: '2023-11-07T05:31:56Z',
extraWeight: 123,
maxDeliveryDays: 123,
shippingDate: '2023-11-07T05:31:56Z',
shippingPriority: 123
},
taxDetails: {},
text: {
comment: '<string>',
customerComment: '<string>',
printText: '<string>',
processStatus: '<string>'
},
customerSalesQuotationNumber: '<string>',
customerVatId: '<string>',
languageIso: '<string>',
salesQuotationDate: '2023-11-07T05:31:56Z',
salesQuotationNumber: '<string>',
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
vatId: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-quotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"salesQuotationId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Creates a new sales quotation.
Creates a new sales quotation.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
Request parameters
Creates a new sales quotation. - Request
Indicates whether automatic workflows should be disabled for this sales quotation.
Indicates whether the billing address should be used as the shipment address. If no shipment address is provided and the flag ist not set, the billing address will also be used as shipment address. If the shipment address is provided, this flag will be ignored.
The SalesQuotation CartonItemId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation CompanyId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The customer ID.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation OnHoldReasonId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation PaymentMethodId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation ProcessColourId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation ProcessStatusId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
SalesQuotationBillingAddress
Show child attributes
Show child attributes
DepartureCountry
Show child attributes
Show child attributes
ExternalDetails
Show child attributes
Show child attributes
List of SalesQuotationLineItem
Show child attributes
Show child attributes
PaymentDetails
Show child attributes
Show child attributes
SalesQuotationPaymentInfo
Show child attributes
Show child attributes
SalesQuotationShipmentAddress
Show child attributes
Show child attributes
ShippingDetails
Show child attributes
Show child attributes
TaxDetails
Show child attributes
Show child attributes
SalesQuotationText
Show child attributes
Show child attributes
The SalesQuotation CustomerSalesQuotationNumber
The VAT ID of the customer.
The SalesQuotation ItemDescriptionType
0, 1, 2 The SalesQuotation LanguageISO
2 - 5The SalesQuotation ReadOnlyType
0, 1, 2 The SalesQuotation Date
The SalesQuotation SalesQuotationNumber
The SalesQuotation ShippingMethodId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation VATId
Response
Sales quotation created successfully
Creates a new sales quotation. - Response
Unique ID of the newly created sales quotation.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?